C-Compiler lässt sich nicht installieren

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von Champagnerhelmi, 20.08.2006.

  1. #1 Champagnerhelmi, 20.08.2006
    Champagnerhelmi

    Champagnerhelmi Jungspund

    Dabei seit:
    17.08.2006
    Beiträge:
    21
    Zustimmungen:
    0
    Hallo!

    Eines vorweg: Ich bin absoluter Anfänger, habe aber vor einer Woche von Windows XP zu Suse 10.1 gewechselt.

    Nun stehe ich vor einem Problem, ich kann den GNU C-Compiler (gcc) nicht installieren.

    Von der DVD sagt er, die Installation sei fehlgeschlagen. (Ich versuche es unter YaST mit root-Zugang)

    Code:
    Subprocess failed. Error: RPM failed: 
    
    ---
    rpm output:
    error: Failed dependencies:
    	glibc-devel is needed by gcc-4.1.0-25.x86_64
    
    2006-08-20 19:13:36 gcc-4.1.0-25.x86_64.rpm install failed
    rpm output:
    
    2006-08-20 19:13:36 gcc-4.1.0-25.x86_64.rpm install failed
    rpm output:
    
    Nun dachte ich, vielleicht ist die DVD ja beschädigt. Also lud ich mir von www.rpmseek.com den Compiler als gcc-3.3.3-43.31.x86_64.rpm herunter und versuchte mein Glück.

    Unter YaST: Dasselbe wie oben.

    Als Quelle und dann: Siehe oben

    Direkt aus dem Konqueror: Auch ein Fehlschlag

    :hilfe2:

    Kann mir jemand helfen?

    LG
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Ritschie, 20.08.2006
    Ritschie

    Ritschie SuSE-User

    Dabei seit:
    10.09.2003
    Beiträge:
    1.216
    Zustimmungen:
    0
    Ort:
    D-Bayreuth
    Soweit ich das raus lese, gibt´s da unaufgelöste Abhängigkeiten. Nämlich scheint das Packet glibc-devel zu fehlen. Versuch mal, dieses mit zu installieren.

    Warum YaST diese Abhängigkeiten nicht automatisch auflöst, ist mir allerdings auch nicht klar.

    Gruß,
    Ritschie
     
  4. Bourne

    Bourne Grünschnabel

    Dabei seit:
    18.08.2006
    Beiträge:
    2
    Zustimmungen:
    0
    Hmm Yast prüft das imho nicht selbstständig es sei denn man sagt ihm "Automatische Überprüfung"; dort das Häkchen setzen und er sollte es auflösen.
    Ist aber wie du sagst, glibc-devel fehlt... sicher auch noch mehr.

    Beschädigte DVD würde sich anders verhalten, da bekommst du dann Fehlermeldungen die auf nen CRC Fehler hinweisen.
     
  5. #4 Champagnerhelmi, 21.08.2006
    Champagnerhelmi

    Champagnerhelmi Jungspund

    Dabei seit:
    17.08.2006
    Beiträge:
    21
    Zustimmungen:
    0
    So ... Ich habe sämtliche Abhängigkeiten - eine nach der anderen - manuell geprüft, was allerdings nicht viel (gar nichts) gebracht hat.

    Gibt es da irgendein Patch oder sollte ich nochmal den ganzen Krämpel per YaST neuinstallieren?

    Wäre dankbar für jede Hilfe ...

    LG
     
  6. phim

    phim ein Mensch...

    Dabei seit:
    28.06.2006
    Beiträge:
    87
    Zustimmungen:
    0
    Ort:
    Frankfurt a.M
    Bist du sicher, dass du das angegebene Paket sprich glibc-devel installiert hast? Denn das sollte dein Problem eigentlich beheben! Als Alternative könntest du die gcc sourcen auch selbst kompilieren, macht allerdings ein wenig mehr Aufwand und wird das Problem der fehlenden Abhängigkeiten wohl auch nicht lösen...


    Gruß
    Philipp
     
  7. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  8. #6 DennisM, 21.08.2006
    DennisM

    DennisM Moderator u. Newsposter

    Dabei seit:
    08.05.2004
    Beiträge:
    4.883
    Zustimmungen:
    0
    Ort:
    GER/NRW/Essen
    Gibt es glibc-devel nicht?

    Besonders bei der GCC würde ich nur Distributionseigene Pakete nehmen!

    MFG

    Dennis
     
  9. #7 Champagnerhelmi, 26.08.2006
    Champagnerhelmi

    Champagnerhelmi Jungspund

    Dabei seit:
    17.08.2006
    Beiträge:
    21
    Zustimmungen:
    0
    Tut mir Leid, dass so lange keine Reaktion von mir kam.

    Ich habe all eure Vorschläge einmal durchprobiert, auch in der Konsole.

    Auch nach einen Neustart dazwischen stellt sich die Sache so dar:

    Code:
    MFM@linux-z3dj:~> su
    Passwort:
    linux-z3dj:/home/MFM # rpm glibc-2.4-25.x86_64.rpm -h -i -v --force
    Preparing...                ########################################### [100%]
       1:glibc                  ########################################### [100%]
    linux-z3dj:/home/MFM # rpm gcc-4.1.0-25.x86_64.rpm -h -i -v
    error: Failed dependencies:
            glibc-devel is needed by gcc-4.1.0-25.x86_64
    linux-z3dj:/home/MFM #
    
    ?( ?( ?(
     
Thema:

C-Compiler lässt sich nicht installieren

Die Seite wird geladen...

C-Compiler lässt sich nicht installieren - Ähnliche Themen

  1. Kann ein C-Compiler C++-Aufrufe erzeugen?

    Kann ein C-Compiler C++-Aufrufe erzeugen?: Da manchen Foren lange Offtopic-Diskussion zuwider sind, wollte ich [THREAD=37341]hier[/THREAD] nicht weiter diskutieren, sondern zu einem neuen...
  2. Wie update ich den C-Compiler

    Wie update ich den C-Compiler: Also das Problem ist folgendes: Ich wollte den C-Compiler updaten und hab eine Quelle dafür eingetragen. Ich kann aber die alten Compiler nicht...
  3. [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen

    [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen: Hallo, ich hoffe ihr könnt mir helfen. Ich entwerfe im Moment ein Skript, welches den Callmonitor (Telnet) auf meiner FritzBox abfragt und wenn...
  4. Owncloud-Gründer Karlitschek verlässt sein Unternehmen

    Owncloud-Gründer Karlitschek verlässt sein Unternehmen: Frank Karlitschek, Entwickler von Owncloud und Gründer der Firma Owncloud Inc. verlässt mit sofortiger Wirkung sein eigenes Unternehmen...
  5. VMware entlässt Entwickler von »Workstation« und »Fusion«

    VMware entlässt Entwickler von »Workstation« und »Fusion«: Früher waren die Desktop-Hypervisoren Workstation und Fusion Brot und Butter für VMware. Jetzt wurden die Entwicklungsabteilungen beider Produkte...